%global ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")
%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname configuration
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary:        Pure Ruby scoped configuration files
Name:           rubygem-%{gemname}
Version:        0.0.5
Release:        4%{?dist}
Group:          Development/Languages
License:        Ruby
URL:            http://codeforpeople.com/lib/ruby/configuration/
Source0:        http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Source1:        %{gemname}-LICENSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.8
Requires:       rubygems
BuildRequires:  rubygems
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
Ruby configuration gem provides a mechanism for configuring ruby programs
with ruby configuration files.


%prep
install -pm 0644 %{SOURCE1} LICENSE


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gemdir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gemdir} \
        --force %{SOURCE0}

# We strip bad shebang (/usr/bin/env) instead of fixing it
# since the file is not executable anyways
F=$RPM_BUILD_ROOT%{geminstdir}/install.rb
awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
touch -r $F chopped
mv chopped $F


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{geminstdir}
%{geminstdir}/config
%{geminstdir}/lib
%{geminstdir}/*.rb
%doc %{geminstdir}/samples
%doc %{geminstdir}/README
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%doc LICENSE


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-2
- Fix up documentation list
- Use geminstdir macro where appropriate
- Do not move examples around
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.0.5-1
- Package generated by gem2rpm
- Move examples and README into documentation
- Fix up License
- Strip useless shebang
